# CHANGELOG

## 0.12.0

* Updated dependencies
* Removed fehler

## 0.11.4

* Updated dependencies

## 0.11.3

* Update sherr to 0.4.1

## 0.11.2

* Update sherr to 0.4

## 0.11.1

* Updated dependencies

## 0.11.0

* Updated dependencies

## 0.10.0

* Remove scoped-pool
* Add crossbeam
* Update parking_lot and dirs 

## 0.9.1

* Add fehler dependency

## 0.9.0

* Update sherr to 0.3
* Remove AtomicHolder and AtmoicHolderPtr
* Update itertools to 0.9

## 0.8.6

* Add deadlock_detection feature

## 0.8.5

* Deprecate AtomicHolderPtr in favor of parking_lot::Mutex

## 0.8.4

* Add AtomicHolderPtr is_null
* Update dependencies

## 0.8.3

* Add sync::AtomicPtrHolder

## 0.8.2

* Add fstrings

## 0.8.1

* Add percent-encoding
* Update dependencies

## 0.8.0

* Revert changes of 0.7.0
* Update dependencies

## 0.7.0

* Remove sherr
* Add log, fern, snafu and sherr
* Update dependencies

## 0.6.2

* Add dirs

## 0.6.1

* Switch to Rust 2018 edition
* Update dependencies

## 0.6.0

* Update derive_more
* Update itertools
* Update parking_lot
* Switch to 2018 edition

## 0.5.0

* Switch to new `use macro` syntax
* Update derive_more

## 0.4.2

* Updated derive_more

## 0.4.1

* Added failure feature

## 0.4.0

* Switched to sherr crate
* Removed failure dependency

## 0.3.3

* Switched to std RwLock in debug mode

## 0.3.2

* Added chrono crate

## 0.3.1

* Added missing RwLock method

## 0.3.0

* Updated crates export

## 0.2.1

* Added failure crate

## 0.2.0

* Don't import everything into root namespace
* Removed simple_logger dependency